dpkg-scansources(1)

NAZWA
dpkg-scanpackages - tworzy pliki indeksowe Sources

SKŁADNIA
dpkg-scansources [opcje] katalog_binarny [plik_nadpisań [prefiks_ścieżki]] > Sources

OPIS
dpkg-scansources skanuje podany katalog_binarny w poszukiwaniu plików .dsc, używanych do utworzenia indeksu źródłowych pakietów Debiana, który następnie jest wypisywany na standardowe wyjście.

Plik_nadpisań, jeśli został podany, jest używany do ustawienia priorytetów w wyjściowym indeksie oraz do nadpisania pola Maintainer z pliku .dsc. Format tego pliku można znaleźć w dpkg-scanpackages(1). Notabene: Występuje tu mały problem, ponieważ plik nadpisań jest indeksowany pakietami binarnymi, a nie źródłowymi. Obecna implementacja używa jako priorytetu pakietu źródłowego największego spośród priorytetów wszystkich binarnych pakietów generowanych z pliku .dsc, a do zmodyfikowania informacji o opiekunie - nadpisania opiekuna z pierwszego pakietu binarnego wymienionego w pliku .dsc. Może się to zmienić.

Prefiks_ścieżki, jeśli podano, jest dołączany na początek pola Directory w wygenerowanym indeksie źródłowym. Ogólnie jest to używane, aby pola Directory zawierały ścieżkę od najwyższego poziomu hierarchii archiwum Debiana.

Uwaga: Aby apt(8) mogło użyć wygenerowanego pliku Sources, należy go skompresować programem gzip(1) (tworząc plik Sources.gz). apt ignoruje nieskompresowane pliki Sources z wyjątkiem lokalnego dostępu (tj. pochodzącego z file://).

OPCJE

-n, --no-sort
    Nie sortuje rekordów indeksu. Normalnie są one posortowane po nazwie pakietu źródłowego.

-s, --source-override plik
    Używa pliku jako pliku nadpisań źródeł. Domyślnie jest to podana nazwa pliku nadpisań z dołączonym rozszerzeniem .src.

    Format plik nadpisań źródeł różni się od formatu nadpisań pakietów binarnych. Zawiera tylko dwa pola oddzielone od siebie białymi znakami: pierwszym jest nazwa pakietu, a drugim - sekcja. Linie puste oraz linie komentarza są ignorowane. Jeśli pakiet pojawia się w obu plikach, to podczas ustawiania sekcji nadpisanie źródeł ma większy priorytet.

--debug
    Włącza tryb debugowania.

--help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

ZOBACZ TAKŻE
deb-override(5), dpkg-scanpackages(1).

AUTOR
Roderick Schertler <roderick@argon.org>

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008